# Generated by Django 4.1.7 on 2023-03-30 05:56

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    db_alias = schema_editor.connection.alias
    Tracker = apps.get_model("manager", "Tracking")

    trackers = (
        Tracker.objects.using(db_alias)
        .filter(info__shipment_destication_country__isnull=False)
        .iterator()
    )

    for _tracker in trackers:
        _tracker.info = {
            f"{'shipment_destination_country' if key == 'shipment_destication_country' else key}": value
            for key, value in (_tracker.info or {}).items()
        }

        _tracker.save()


def reverse_func(apps, schema_editor):
    pass


class Migration(migrations.Migration):
    dependencies = [
        ("manager", "0050_address_street_number_tracking_account_number_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="shipment",
            name="status",
            field=models.CharField(
                choices=[
                    ("draft", "draft"),
                    ("purchased", "purchased"),
                    ("cancelled", "cancelled"),
                    ("shipped", "shipped"),
                    ("in_transit", "in_transit"),
                    ("delivered", "delivered"),
                    ("needs_attention", "needs_attention"),
                    ("out_for_delivery", "out_for_delivery"),
                    ("delivery_failed", "delivery_failed"),
                ],
                db_index=True,
                default="draft",
                max_length=50,
            ),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
